Bug 10297 - categorycode and branchcode should be required when adding patrons
Summary: categorycode and branchcode should be required when adding patrons
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-21 14:03 UTC by Nicole C. Engard
Modified: 2014-12-07 20:03 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10297 - categorycode and branchcode should be required when adding patrons (2.44 KB, patch)
2013-06-10 15:18 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED OFF] Bug 10297 - categorycode and branchcode should be required when adding patrons (2.46 KB, patch)
2013-06-11 03:18 UTC, David Cook
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-05-21 14:03:41 UTC
The BorrowerMandatoryField pref should have categorycode and branchcode should be in the default values for this preference since they are required by Koha but not labeled as such on the patron add form.

Nicole
Comment 1 Owen Leonard 2013-05-21 14:17:42 UTC
(In reply to comment #0)
> The BorrowerMandatoryField pref should have categorycode and branchcode

I would think instead they should be mandatory regardless of what is in BorrowerMandatoryField.
Comment 2 Nicole C. Engard 2013-05-21 14:28:21 UTC
That works for me too :) Anything that makes it clear that they're required.

Nicole
Comment 3 Owen Leonard 2013-06-10 15:18:02 UTC Comment hidden (obsolete)
Comment 4 David Cook 2013-06-11 03:18:45 UTC
Created attachment 18828 [details] [review]
[SIGNED OFF] Bug 10297 - categorycode and branchcode should be required when adding patrons

categorycode and branchcode should show as required under all
circumstances, not just when they are included in the
BorrowerMandatoryField system preference. This patch adds the correct
classes and hints to those fields.

To test, view the patron entry form for a new or existing patron.
Category and Library should show that they are required.

Signed-off-by: David Cook <dcook@prosentient.com.au>

Works as described.
Comment 5 Jonathan Druart 2013-06-12 14:46:06 UTC
QA comment:
Logical patch, branchcode and categorycode cannot be null.
Marked as Passed QA.
Comment 6 Galen Charlton 2013-06-12 18:54:42 UTC
Pushed to master.  Thanks, Owen!
Comment 7 Tomás Cohen Arazi 2013-06-28 15:17:44 UTC
This patch has been pushed to 3.12.x, will be in 3.12.2.

Thanks for reporting Nicole, and Owen for the fix!
Comment 8 Bernardo Gonzalez Kriegel 2013-07-13 12:56:26 UTC
Pushed to 3.10.x, will be in 3.10.8
Comment 9 Chris Hall 2013-07-18 08:43:07 UTC
Pushed to 3.8.x, will be in 3.8.15